Package org.spongepowered.asm.service

## Interface IAdviceProvider

    public interface IAdviceProvider

Advice providers are responsible for providing suggestions to solve service-specific problems.

### Field Summary

Fields
`static IAdviceProvider` `GENERIC` Returns generic advice for all situations.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `higherCompatibilityNeeded​(int requiredCompatibility, java.lang.String requiredCompatibilityString)` Advise the user on how to increase their compatibility version.

### Field Detail

#### GENERIC

    static final IAdviceProvider GENERIC

Returns generic advice for all situations. You should prefer implementing specific advice for your service.

### Method Detail

#### higherCompatibilityNeeded

    java.lang.String higherCompatibilityNeeded​(int requiredCompatibility,
                                               java.lang.String requiredCompatibilityString)

Advise the user on how to increase their compatibility version.

Parameters:
  `requiredCompatibility` - the required compatibility version
  `requiredCompatibilityString` - the required compatibility version as a string, in case it is useful in messages